Bug 993525 - Should not generate a iso file when installation is a iso file
Should not generate a iso file when installation is a iso file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.5
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Ryan Barry
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 02:34 EDT by wanghui
Modified: 2014-01-21 14:48 EST (History)
14 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.1-8.el6
Doc Type: Bug Fix
Doc Text:
After installing the iso created by 'edit-node', the system was reporting an error when entering the 'plugins' page in the TUI. The cause of this was 'edit-node' didn't check whether or not the paths passed for the repository and RPMs were actually repository files and RPMs, so it would attempt to add arbitrary files to the image. These checks are now in place, so the image is built, and can be installed correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 14:48:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the output of edit-node (12.38 KB, text/plain)
2013-08-06 02:34 EDT, wanghui
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20409 None None None Never

  None (edit)
Description wanghui 2013-08-06 02:34:40 EDT
Created attachment 783206 [details]
the output of edit-node

Description of problem:
1. It should not generate a iso file when I set installation as an iso file like follows.
   #edit-node --install=dd-tg3-13179-el6_2-x86_64.iso --repo=dd-tg3-13179-el6_2-x86_64.iso rhev-hypervisor6-6.5-20130725.0.iso
  
   Because the manpage of edit-node is not support the installation as a iso. The manpage of edit-node is as follows.
   --install=PACKAGE_NAME
              Installs a the specific package from a yum repo or specified rpm
              file, all file locations are valid.  Multiple  packages  can  be
              specified by comma delimited list (package1,package2)

2. After installed this iso which is generated by edit-node, it will report an error when enter plugins page.
   Error info: An error appreaed in the UI: IndexError('list index out of range',)
               Press ENTER to logout ...
               or enter 's' to drop to shell

3. There is also error in /etc/ovirt-plugins.d/ as follows.
   # cd /etc/ovirt-plugins.d/
   # ll
   total 12
   -rw-r--r--. 1 root root  77 2013-07-19 14:28 cim.minimize
   -rw-r--r--. 1 root root 296 2013-08-05 08:29 error: dd-tg3-13179-el6_2-x86_64.iso: not an rpm package (or package manifest)?
   -rw-r--r--. 1 root root 213 2013-07-19 14:28 snmp.minimize

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130725.0.iso
ovirt-node-tools-3.0.0-6.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Run command
  #edit-node --install=dd-tg3-13179-el6_2-x86_64.iso --repo=dd-tg3-13179-el6_2-x86_64.iso rhev-hypervisor6-6.5-20130725.0.iso
2.Install the iso which is generated by the edit-node.

Actual results:
1. It generated "rhev-hypervisor6-6.5-20130725.dd-tg3-13179-el6_2-x86_64.iso.0.iso". The output of edit-node is in attachment.
2. After installation the iso, it will report an error when enter plugins page in TUI.

Expected results:
1. It should not accept this way and not generated a iso file.

Additional info:
1. There are the same issues when options are install-kmod and install-plugin.
Comment 2 RHEL Product and Program Management 2013-10-13 22:50:39 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Cheryn Tan 2014-01-08 00:35:24 EST
This bug is currently attached to errata RHBA-2013:15277. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:
https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thank you for your help.
Comment 6 wanghui 2014-01-13 01:30:33 EST
Test version:
rhevh-6.5-20140110.1.iso
ovirt-node-3.0.1-16.el6_5.noarch
ovirt-node-tools-3.0.1-16.el6_5.noarch

Test step:
1. Install plugin with the follow command.
   #edit-node --install=dd-tg3-13179-el6_2-x86_64.iso --repo=dd-tg3-13179-el6_2-x86_64.iso rhev-hypervisor6-6.5-20130725.0.iso

Test result:
1. After step1, it reports an error as the follows.
   ERROR: Can't install /home/edit-node/dd-tg3-13179-el6_2-x86_64.iso. Not in RPM format

So this bug is fixed in rhevh-6.5-20140110.1.iso. Change the status from ON_QA to VERIFIED.
Comment 7 Charlie 2014-01-15 22:25:03 EST
Hiya, could you let me know what was causing the problem and how it was fixed for the doc text? Thanks.
Comment 8 Ryan Barry 2014-01-16 10:41:17 EST
edit-node didn't check whether or not the paths passed for the repository and RPMs were actually repository files and RPMs, so it would happily attempt to add arbitrary files to the image.

edit-node now checks that the filetype of input actually matches what's expected.
Comment 10 errata-xmlrpc 2014-01-21 14:48:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0033.html

Note You need to log in before you can comment on or make changes to this bug.